Skip to content
Skip to main content
PUT
https://api.us.nylas.com/v3/lists/{list_id}

Update a list

Updates the specified list. Only name and description can be updated. The list type is immutable after creation.

Works with an API key or an IAM API key with the lists.update permission.

Parameters

Path parameters

list_id*string

The ID of the list to access.

Request body

namestring
Example: "Blocked domains (updated)"
minLength: 1maxLength: 256
descriptionstring
Example: "Updated description."

Responses

request_idstring

ID of the request.

Example: "5fa64c92-e840-4357-86b9-2aa364d35b88"
dataobject
PUThttps://api.us.nylas.com/v3/lists/{list_id}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

list_idrequiredstring

The ID of the list to access.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.